공개에 해당되는 글 28건

Textcube 1.7.5 발표

Category : 업데이트/안정 버전
Reg Date : 2008/09/04 18:18
텍스트큐브

텍스트큐브 1.7.5 : Risoluto (R15, 1.7.5.6619.20080904) 를 공개합니다.

텍스트큐브 1.7.4는 텍스트큐브 1.7 및 텍스트큐브 1.7.1~1.7.4 에서 발견된 버그들을 수정하기 위한 버전입니다. 또한 구글 크롬 브라우저에 대한 에디터 대응이 추가 되었습니다.텍스트큐브 1.7 및 1.7.1~1.7.4 사용자 분들께서는 반드시 업데이트 해 주시기 바랍니다.

텍스트큐브 1.7.4를 사용중인 분께서는 모두 덮어 씌울 필요 없이 아래의 파일들만 업데이트 해 주시면 됩니다. 1.7.4 미만의 버전을 사용하시는 분들께서는 전체를 덮어 씌우는 것을 권장합니다.

  • doc/changes_ko
  • interface/owner/communication/trash/comment/index.php
  • lib/components/Eolin.PHP.UnifiedEnvironment.php
  • lib/piece/blog/list.php
  • lib/model/blog.comment.php
  • lib/config.php
  • lib/error.php
  • plugins/FM_Modern/editor.js
  • plugins/FM_Modern/index.php
  • plugins/FM_Modern/index.xml
  • script/EAF4.js

아래는 텍스트큐브 1.7.4 이후 텍스트큐브 1.7.5에서 변경된 점들의 목록입니다.

more..

아래는 텍스트큐브 1.7 발표이후 텍스트큐브 1.7.5에서 변경된 점들의 목록입니다.

more..

.htaccess 수정 안내

아래 내용은 1.7, 1.7.1에서 1.7.5로 업데이트 하는 경우에 참고하시기 바랍니다. 1.7.2~1.7.4에서 업데이트 하는 경우에는 필요하지 않은 과정입니다.

1.7.2에서는 1.7.1에서 발견된 .htaccess 의 버그가 수정되었습니다. 또한 1.7 이후 .htaccess가 수정되었으므로 체크업시 그 부분을 수정합니다. 설치 이후 .htaccess 내용을 임의로 수정한 경우, 그 내용이 다양하기 때문에 자동으로 일부를 업데이트 하는 부분은 지원하지 않고 통째로 파일을 교체합니다. 이 과정에서 기존의 .htaccess 파일을 백업하므로, .htaccess를 수정하신 분들께서는 1.7.2 설치 이후 .htaccess_backup_날짜 로 백업된 파일을 참조하셔서 서비스관리-서버 의 .htaccess 편집에서 내용을 추가 및 수정해 주시기 바랍니다.

단축키 변경점

텍스트큐브 1.7.2 부터 기존에 사용하던 단축키 이외에 새로운 단축키들을 지원합니다. 기존의 단축키와 새로 추가된 단축키를 안내합니다.

블로그 모드 단축키

  • a, p, h : 이전글
  • s, n, l : 다음글
  • j : 아래로 스크롤
  • k : 위로 스크롤
  • q : 관리자 모드로 이동
  • r : 리더로 이동
  • z : 최근글 사이드바로 이동
  • x : 최근 댓글 사이드바로 이동
  • c : 최근 트랙백 사이드바로 이동

관리자 모드 단축키

  • 1,2,3,4,5,6,7,8 : 관리자 각 상위 메뉴에 대응
  • r : 리더로 이동
  • t : 리더 글 새로 수집하기
  • ? : 단축키 보기

리더 단축키

  • a, h : 이전글
  • s, l : 다음글
  • d : 현재 글 새창으로 열기
  • f : 안 읽은 글만 보기
  • g : 스크랩된 글 보기
  • q : 블로그 화면으로 가기
  • w : 현재 글 스크랩하기
  • r : 리더 첫 화면으로 가기
  • t : 글 새로 수집하기
  • j : 위로 스크롤
  • k : 아래로 스크롤

공통 단축키

  • a : 목록에서 앞으로
  • s : 목록에서 뒤로

텍스트큐브 1.7 및 텍스트큐브 1.7.1~1.7.4 의 변경 문서는 아래를 참조하세요.

내려받기 위해서는 사이트 위의 '다운로드'메뉴를 방문해 주시기 바랍니다.

2008/09/04 18:18 2008/09/04 18:18

Posted by 텍스트큐브

이 글의 관련글(트랙백) 주소 : 이 글에는 트랙백을 보낼 수 없습니다
  • Tracked from : Louice Studio Inc. 2008/09/06 11:47 DELETE
    Subject : Japanese Locale Pack for Textcube 1.7.5 Rev.8d3

    textcube_jalocale_rev8d3_20080907.7zJapanese Locale for Textcube 1.7.5 (7z) textcube_jalocale_rev8d3_20080907.zipJapanese Locale for Textcube 1.7.5 (zip)------------------- textcube_jalocale_rev8d3_20080907_localeonly.zipJapanese Locale for Textcube 1....

Comments
  1. saber
    2008/09/04 20:14  PERMALINK  MODIFY/DELETE  REPLY

    Google Chrome 대응 에디터의 업데이트가 매우 빠르네요 ^^
    다만, (사소한 문제 같은데) IE7, chrome, FF3에서 확인해본 결과 모두 에디터가 인식되지 않습니다. "편집기 없음" 상태네요.
    플러그인 메뉴에서 확인해본 결과 위지윅 에디터가 "사용 불가능한 판번호"라고 나옵니다.
    plugins/FM_Modern/index.xml 파일을 확인해본 결과 textcube 버전이 1.8로 명시되어 있네요. 제가 임의로 이 값을 1.7로 수정한 후, chrome에서 글쓰기 모드 -> Ctrl+F5 쌔워주니 위지윅 에디터가 제대로 뜹니다.

    이것으로 문제가 전부 해결인지, 다른 수정 사항이 있는지 확인 부탁드립니다. ^^

    • 텍스트큐브
      2008/09/05 00:34  PERMALINK  MODIFY/DELETE

      1.7.5의 구글크롬 지원 부분을 1.8 알파 코드에서 가지고 오다보니 그런 문제가 있었습니다. 해당 사항을 반영하여 다시 업로드 하였습니다. 죄송합니다^^

  2. 회색코끼리
    2008/09/04 21:57  PERMALINK  MODIFY/DELETE  REPLY

    저도 윗분 말씀대로 편집기가 1.8 이상만 사용가능 하다면서 사용불가능으로 되어버렸네요....
    저도 편집기로 1.8 이란거 1.7 로 바꾸니까 정상적으로 작동되네요~

    • 텍스트큐브
      2008/09/05 00:34  PERMALINK  MODIFY/DELETE

      예 불편함을 끼쳐드려 죄송합니다. T_T

  3. ikpark
    2008/09/04 22:29  PERMALINK  MODIFY/DELETE  REPLY

    저도 역시 1.7.5로 바꾸니까 해결됐습니다 ^^;

  4. 화군
    2008/09/04 23:30  PERMALINK  MODIFY/DELETE  REPLY

    편집기가 1.7.5버전을 지원하지 않네요 -_-...

    • 텍스트큐브
      2008/09/05 00:36  PERMALINK  MODIFY/DELETE

      위의 댓글들처럼 plugins/FM_Modern/index.xml 에서 version 부분을 1.8에서 1.7.5로 바꾸면 해결됩니다. 그 부분을 수정한 버전을 새로 업로드 하였습니다. 죄송합니다. (--)(__)(--)

  5. one shot
    2008/09/05 09:13  PERMALINK  MODIFY/DELETE  REPLY

    구글 크롬에서는 글쓰기 편집기에 위지윅모드가 제대로 표시가 안되고
    tag 상태로 보이네요..

    IE나 FF에선 제대로 보여집니다.

  6. 논리꿀벌
    2008/09/05 10:33  PERMALINK  MODIFY/DELETE  REPLY

    안녕하세요, 수고 많으십니다.(__) 새롭게 업그레이드되니 참 좋네요! :)
    1.1.1을 쓰다 1.7.5로 업그레이드했는데, 직후 들어갈 때마다 스크립트 오류가 생깁니다. 스킨을 바꿔봐도 계속 그러네요. Q를 눌러도 관리자화면으로 들어가지 않고, 답글창 팝업이 안 뜨고 댓글쓰기를 누르면 브라우저 최상단으로 범프업됩니다.

    • 텍스트큐브
      2008/09/07 03:17  PERMALINK  MODIFY/DELETE

      F5를 눌러서 브라우저에 캐싱된 스크립트를 갱신해 보시기 바랍니다^^

      기존의 태터툴즈 스크립트가 캐시에 남아서 동작에 관여하고 있을 가능성이 있습니다. 해 보시고 혹 그래도 안되시면 바로 알려주세요~

    • 논리꿀벌
      2008/09/07 23:38  PERMALINK  MODIFY/DELETE

      F5 연타와 임시인터넷파일 삭제 등에도 불구하고 여전하길래 결국 주소를 이전했습니다.; 에러났던 주소는 홈페이지에 있습니다. 똑같은 파일로 새로 설치했는데 새 주소에서는 아무런 문제가 없는 걸 보면 말씀하신 캐시 문제인 것 같기도 합니다.:)

  7. JIYO
    2008/09/06 21:31  PERMALINK  MODIFY/DELETE  REPLY

    크롬에 대한 에디터 수정이 있다고 해서 받아서 덮어 썼지만, 여전히 위지윅 편집기 도구창은 뜨지 않습니다. 위에 댓글 다신 분들보다 늦게 받아서 xml 파일의 표기는 제대로 되어 있습니다. 제가 뭔가 잘못한 게 있을까요?

    • 텍스트큐브
      2008/09/07 03:18  PERMALINK  MODIFY/DELETE

      플러그인 메뉴에서 텍스트큐브 에디터를 껐다가 다시 켜 보시기 바랍니다^^ 플러그인 버전 정보가 데이터베이스에 캐싱되어서 발생하는 문제일 수가 있습니다.

    • JIYO
      2008/09/10 00:32  PERMALINK  MODIFY/DELETE

      할 것 다해 본 것 같은데 안 되는군요. 크롬만 안 됩니다. 크롬에서 글 올리기는 포기하려고요. ㅠ.ㅠ

    • 텍스트큐브
      2008/09/12 12:36  PERMALINK  MODIFY/DELETE

      plugins/FM_Modern/editor.js, plugins/FM_Modern/index.xml 과 /script/EAF4.js 파일이 크롬 호환성을 위해 변경된 부분입니다. 자바스크립트 파일이 브라우저에 캐싱이 되어 있는 문제가 아니라면, 혹시 에디터 플러그인을 다른 이름으로 복사해서 그걸 쓰고 계시는 것이 아닌지도 확인을 부탁 드립니다.^^

      Windows XP SP3 / Windows Vista 32bit/64bit 의 구글크롬 및 사파리에서 정상적으로 동작하는 것을 확인하였습니다. :)

    • JIYO
      2008/09/16 09:37  PERMALINK  MODIFY/DELETE

      확인차 댓글 답니다.
      이것저것 해 보다가 한동안 방치하고 텍큐 측의 댓글을 본 기념으로 다시 크롬을 열어 새 글 쓰기를 눌러 보니 됩니다. 제가 게을러서 그런가 캐싱 지운 것조차 제 브라우저는 적용이 오래 걸리나 봅니다. ^^;
      참고로 에디터 플러그인을 건드리거나 하지는 않았답니다.
      댓글 고맙습니다.

  8. 재성才誠
    2008/09/07 16:21  PERMALINK  MODIFY/DELETE  REPLY

    크롬에서 포스팅을 하다 보니 위지윅 에디터가 설정되지 않아 브라우저 문제인 줄 알았는데 FF, Safari, IE 등에서 모두 문제가 있어서 보니 1.8버전으로 판올림하라는 하늘이 무너지는 메세지가 있더군요. PHP 버전 때문에 업데이트 못하는데...싶어 다시 와봤더니 해결책이 있군요. 이제 잘 됩니다!!!

  9. 막무가내
    2008/09/10 22:18  PERMALINK  MODIFY/DELETE  REPLY

    편집기를 살려내시요. 막무가내

  10. 막무가내
    2008/09/10 22:18  PERMALINK  MODIFY/DELETE  REPLY

    정말 골치네, 때마다 업그레이드 하지만, 때마다 완성도 낮은 것을 올리고 있으니.. 에디터가 안되는데 무슨 설정 운운하는지 정말 깝깝합니다. 좀더 완성도 높은 것 빨리 올리세요. 이거 중도에 빠져 나올 수도 없고. 지날이네., 에디터가 살아나야 글을 올리지?

    • 텍스트큐브
      2008/09/12 12:33  PERMALINK  MODIFY/DELETE

      재현이 되지 않는 문제입니다.

      사용하시는 데스크탑 컴퓨터의 (브라우저 문제등을 포함한) 문제일 수 있으니 다른 컴퓨터에서 한 번 시도해보세요.^^

COMMENT*

Textcube 1.8 alpha 3 공개

Category : 업데이트/테스트 버전
Reg Date : 2008/08/29 23:47

Textcube (이하 텍스트큐브) 1.8의 세번째 알파버전 (1.8.6599.20080829)을 공개합니다. 이후 알파버전은 베타 일정에 들어가기 전까지 1주일을 주기로 발표될 예정입니다.

텍스트큐브 1.8은 텍스트큐브 1.7을 기반으로 새로운 환경에 대응하기 위한 텍스트큐브 2.0 이전의 버전입니다. 원래 예정되었던 텍스트큐브 2.0 로드맵을 연기하면서 텍스트큐브 2.0이 설치되기 위한 제반 환경의 구축 및 홍보를 위한 버전입니다. 텍스트큐브 1.8은 1.7 코어의 하부 구조를 새로운 기반인 PHP 5.2 / MySQL 4.1의 기능을 충분히 활용하여 개선함과 동시에 대량 트래픽에 대한 대응 및 다양한 데이터베이스 지원과 텍스트큐브 2.0 프레임웍의 일부 테스트를 목표로 합니다.

주의사항

이 버전은 테스트를 위한 버전입니다. 관련한 인터페이스 및 코드 규격은 언제든지 변경될 수 있습니다. 또한 안정성에 대한 검증이 되지 않은 버전입니다. 실제 사용하는 블로그에는 적용하지 않는 것을 권장합니다.

또한 텍스트큐브 1.8은 PHP 5.2 이하의 버전에서 정상적으로 동작하지 않을 수 있습니다. 설치하는 서버의 PHP 버전이 5.2 이상인지 반드시 확인하시기 바랍니다.

텍스트큐브 1.7 코어와 비교하여 텍스트큐브 1.8 alpha 3에서 변경된 점은 다음과 같습니다.

  • 하부구조가 변경되었습니다. 업그레이드 형식으로 테스트할 경우 기존의 스킨이 보이지 않을 수 있습니다. 스킨을 포함한 구성요소들의 위치가 모두 변경되었습니다.
    • 블로그 스킨의 경우 /skin/blog 디렉토리로,
    • 관리 패널 스킨의 경우 /skin/admin 디렉토리로,
    • 카테고리 트리 스킨의 경우 /skin/tree 로 변경되었습니다.
    • 기존에 사용하시던 스킨은 해당되는 디렉토리로 이동해 주시기 바랍니다.
  • memcached를 이용한 가속을 지원합니다. 이 기능을 사용하기 위해서는 서버 설정에서 memcache 사용을 체크하시면 됩니다. 기본값 이외의 memcached 설정을 위해서는 config.php에서 $memcached 변수를 통해 세부 사항을 지정할 수 있습니다. 가능한 값으로는 $memcached['port'], $memcached['server'] 값이 있습니다
  • MySQLi를 사용한 데이터베이스 연결을 지원합니다. MySQLi를 지원하는 시스템에서는 자동적으로 MySQLi를 사용합니다.

아래는 변경사항 기록입니다.

more..

피드백

테스트 중 개선에 대한 건의 사항이나 버그 보고는 태터 네트워크 재단 / 태터앤 프렌즈 포럼 의 아이디어 포럼이나 버그 보고 및 품질 검수 포럼으로 부탁 드립니다.

소스에 대하여 궁금하거나 변경사항을 추적하고 싶은 분들께서는 텍스트큐브 소스 내의 doc 디렉토리에 여러 문서들이 있으므로 참고하시기 바랍니다.

아래의 링크에서 다운로드 할 수 있습니다.

2008/08/29 23:47 2008/08/29 23:47

Posted by 텍스트큐브

이 글의 관련글(트랙백) 주소 : 이 글에는 트랙백을 보낼 수 없습니다
  • Tracked from : Louice Studio Inc. 2008/09/22 12:04 DELETE
    Subject : Japanese Locale Pack for Textcube 1.8.x Rev.9a0-b1

    textcube_jalocale_rev9a0-b1_20080922.7zJapanese Locale for Textcube 1.8.x (7z) textcube_jalocale_rev9a0-b1_20080922.zipJapanese Locale for Textcube 1.8.x (zip)---------- textcube_jalocale_rev9a0-b1_20080922_localeonly.zipJapanese Locale for Textcube 1....

Comments
  1. Glradios
    2008/09/08 14:19  PERMALINK  MODIFY/DELETE  REPLY

    블로그 스킨: ./tc/skin
    트리 스킨: ./tc/image
    관리자 스킨: ./tc/style

COMMENT*

Textcube 1.8 alpha 2 공개

Category : 업데이트/테스트 버전
Reg Date : 2008/08/26 01:18

Textcube (이하 텍스트큐브) 1.8의 두번째 알파버전 (1.8.6582.20080825)을 공개합니다. 이후 알파버전은 베타 일정에 들어가기 전까지 1주일을 주기로 발표될 예정입니다.

텍스트큐브 1.8은 텍스트큐브 1.7을 기반으로 새로운 환경에 대응하기 위한 텍스트큐브 2.0 이전의 버전입니다. 원래 예정되었던 텍스트큐브 2.0 로드맵을 연기하면서 텍스트큐브 2.0이 설치되기 위한 제반 환경의 구축 및 홍보를 위한 버전입니다. 텍스트큐브 1.8은 1.7 코어의 하부 구조를 새로운 기반인 PHP 5.2 / MySQL 4.1의 기능을 충분히 활용하여 개선함과 동시에 대량 트래픽에 대한 대응 및 다양한 데이터베이스 지원과 텍스트큐브 2.0 프레임웍의 일부 테스트를 목표로 합니다.

주의사항

이 버전은 테스트를 위한 버전입니다. 관련한 인터페이스 및 코드 규격은 언제든지 변경될 수 있습니다. 또한 안정성에 대한 검증이 되지 않은 버전입니다. 실제 사용하는 블로그에는 적용하지 않는 것을 권장합니다.

또한 텍스트큐브 1.8은 PHP 5.2 이하의 버전에서 정상적으로 동작하지 않을 수 있습니다. 설치하는 서버의 PHP 버전이 5.2 이상인지 반드시 확인하시기 바랍니다.

텍스트큐브 1.7 코어와 비교하여 텍스트큐브 1.8 alpha 2에서 변경된 점은 다음과 같습니다.

  • 하부구조가 변경되었습니다. 업그레이드 형식으로 테스트할 경우 기존의 스킨이 보이지 않을 수 있습니다. 스킨을 포함한 구성요소들의 위치가 모두 변경되었습니다.
    • 블로그 스킨의 경우 /skin/blog 디렉토리로,
    • 관리 패널 스킨의 경우 /skin/admin 디렉토리로,
    • 카테고리 트리 스킨의 경우 /skin/tree 로 변경되었습니다.
    • 기존에 사용하시던 스킨은 해당되는 디렉토리로 이동해 주시기 바랍니다.
  • memcached를 이용한 가속을 지원합니다. 이 기능을 사용하기 위해서는 서버 설정에서 memcache 사용을 체크하시면 됩니다. 기본값 이외의 memcached 설정을 위해서는 config.php에서 $memcached 변수를 통해 세부 사항을 지정할 수 있습니다. 가능한 값으로는 $memcached['port'], $memcached['server'] 값이 있습니다
  • MySQLi를 사용한 데이터베이스 연결을 지원합니다. MySQLi를 지원하는 시스템의 경우 config.php에 $service['dbms'] = 'mysqli'; 를 추가하시기 바랍니다.

피드백

테스트 중 개선에 대한 건의 사항이나 버그 보고는 태터 네트워크 재단 / 태터앤 프렌즈 포럼 의 아이디어 포럼이나 버그 보고 및 품질 검수 포럼으로 부탁 드립니다.

소스에 대하여 궁금하거나 변경사항을 추적하고 싶은 분들께서는 텍스트큐브 소스 내의 doc 디렉토리에 여러 문서들이 있으므로 참고하시기 바랍니다.

아래의 링크에서 다운로드 할 수 있습니다.

2008/08/26 01:18 2008/08/26 01:18

Posted by 텍스트큐브

이 글의 관련글(트랙백) 주소 : 이 글에는 트랙백을 보낼 수 없습니다
Comments
COMMENT*
  *1   *2   *3   *4   *5   *6   *7   ... *10